--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: r130
Project Date		: 20090126004334

File				: SKG_UtilityFunctions.lua
Commit Author		: zhinjio
Commit Revision		: 129
Commit Date			: 20090126004033
************************************************************************
Description	:

TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]

local MODNAME = "SKG"
local FULLNAME = MODNAME
local SKG = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = SKG

function addon.Print( msg )
	local _, fh = DEFAULT_CHAT_FRAME:GetFont()
	fh = math.ceil( fh )
	local icon = "\124TInterface\\Addons\\" .. FULLNAME .. "\\icon:" .. fh .. "\124t"
	if ( msg ~= nil ) then
	   if( DEFAULT_CHAT_FRAME ) then
	      DEFAULT_CHAT_FRAME:AddMessage( icon .. " " .. MODNAME .. " : " .. msg, 0.6, 1.0, 1.0 )
	   end
	end
end

function addon.Debug( msg )
	local db = addon.db.profile
	if ( msg ~= nil ) then
		if ( db.Options.General.debug ) then
			addon.Print( "DEBUG: " .. msg )
		end
	end
end

function addon.getVersionComponents()
	local major, minor = 0, 0
	-- SKG_VERSION will have two forms. If we're testing, and not at a tagged push,
	-- it will be:
	--		rXXXX
	-- for example (r121)
	-- on the other hand, if this is a tagged release:
	--		Major.Minor.Bugfix-Tag
	-- for example (3.0.2-release)
	if ( string.sub( SKG_VERSION, 1, 1 ) == 'r' ) then
		major = string.sub( SKG_VERSION, 2 )
	else
		major, minor = string.match( SKG_VERSION, "(%d+)%.(%d+)%.%d+%-%a+" )
	end
	--[[ old code
	local tmp = SKG_VERSION * 100
	local major = math.floor( tmp / 100 )
	local minor = tmp - ( major * 100 )
	--]]
	return major, minor
end


--[[
************************************************************************
CHANGELOG:

Date : 1/25/09
	Rewrite
Date : 12/21/08
	Added in changes for Death Knight compatibility. I think I got
	everything.
Date : 10/25/08
	Initial attempt with Ace3 instead of LibRock. Probably will require
	major edits once. Added header/footer. Made changes to itemLinks
	that were updated with a new field in 3.0.2.
************************************************************************
]]--